<!DOCTYPE html>
<html lang="en">

<head>
  
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <title> Task</title>

  <script src="https://cdn.jsdelivr.net/gh/google/code-prettify@master/loader/run_prettify.js"></script>
  <script src="https://unpkg.com/@babel/standalone/babel.min.js"></script>
  <script src="./build/entry.js"></script>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <!--[if lt IE 9]>
    <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
  <![endif]-->
  <link href="https://fonts.googleapis.com/css?family=Roboto:100,400,700|Inconsolata,700" rel="stylesheet">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css" integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">
  <link type="text/css" rel="stylesheet" href="https://jmblog.github.io/color-themes-for-google-code-prettify/themes/tomorrow-night.min.css">
  <link type="text/css" rel="stylesheet" href="styles/app.min.css">
  <link type="text/css" rel="stylesheet" href="styles/iframe.css">
  <link type="text/css" rel="stylesheet" href="">
  <script async defer src="https://buttons.github.io/buttons.js"></script>

  
</head>



<body class="layout small-header">
    <div id="stickyNavbarOverlay"></div>
    

<div class="top-nav">
    <div class="inner">
        <a id="hamburger" role="button" class="navbar-burger" aria-label="menu" aria-expanded="false">
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
            <span aria-hidden="true"></span>
        </a>
        <div class="logo">
            
            
        </div>
        <div class="menu">
            
            <div class="navigation">
                <a
                    href="index.html"
                    class="link"
                >
                    API Documentation
                </a>
                
                
                
            </div>
        </div>
    </div>
</div>
    <div id="main">
        <div
            class="sidebar "
            id="sidebarNav"
        >
            
            <nav>
                
                    <h2><a href="index.html">Documentation</a></h2><div class="category"><h3>Classes</h3><ul><li><a href="Board.html">Board</a></li><li><a href="Task.html">Task</a></li></ul><h3>Global</h3><ul><li><a href="global.html#status">status</a></li></ul></div>
                
            </nav>
        </div>
        <div class="core" id="main-content-wrapper">
            <div class="content">
                <header class="page-title">
                    <p>Class</p>
                    <h1>Task</h1>
                </header>
                




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>Task<span class="signature">(name, dueDate)</span><span class="type-signature"></span></h2>
        
            <div class="class-description">The Task class holds all relevant data and behavior a task might have.</div>
        
    
</header>

<article>
    <div class="container-overview">
    
        
            <div class='vertical-section'>
                <div class="members">
                    <div class="member">
                        <div class=name>
                            <span class="tag">Constructor</span>
                        </div>
                        


    
    <h4 class="name" id="Task">
        <a class="href-link" href="#Task">#</a>
        
        <span class="code-name">
            
                new Task<span class="signature">(name, dueDate)</span><span class="type-signature"></span>
            
        </span>
    </h4>
    

    
    
    <div class="description">
        Creates an instance of the Task class.
    </div>
    









    <h5>Parameters:</h5>
    
<div class="table-container">
    <table class="params table">
        <thead>
        <tr>
            
            <th>Name</th>
            

            <th>Type</th>

            

            

            <th class="last">Description</th>
        </tr>
        </thead>

        <tbody>
        

            
<tr class="deep-level-0">
  
      <td class="name"><code>name</code></td>
  

  <td class="type">
  
      
<span class="param-type">string</span>


  
  </td>

  

  

  <td class="description last">The name of the task.</td>
</tr>


        

            
<tr class="deep-level-0">
  
      <td class="name"><code>dueDate</code></td>
  

  <td class="type">
  
      
<span class="param-type">Date</span>


  
  </td>

  

  

  <td class="description last">The due date of the task.</td>
</tr>


        
        </tbody>
    </table>
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_task.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_task.model.js.html">models/task.model.js</a>, <a href="models_task.model.js.html#line19">line 19</a>
            </span>
        </p>
    
</dl>






















                    </div>
                </div>
            </div>
        
    
    </div>
    
    

    

    
        <h3 class="subsection-title">Classes</h3>

        <dl>
            <dt><a href="Task.html">Task</a></dt>
            <dd></dd>
        </dl>
    

    

    

    

    
        <div class='vertical-section'>
            <h1>Members</h1>
            <div class="members">
            
                <div class="member">

<h4 class="name" id="dueDate">
    <a class="href-link" href="#dueDate">#</a>
    
    <span class="code-name">
        dueDate
    </span>
    
</h4>




<div class="description">
    Gets the due date of the task.
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_task.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_task.model.js.html">models/task.model.js</a>, <a href="models_task.model.js.html#line54">line 54</a>
            </span>
        </p>
    
</dl>





</div>
            
                <div class="member">

<h4 class="name" id="dueDate">
    <a class="href-link" href="#dueDate">#</a>
    
    <span class="code-name">
        dueDate
    </span>
    
</h4>




<div class="description">
    Sets the due date of the task.
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_task.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_task.model.js.html">models/task.model.js</a>, <a href="models_task.model.js.html#line63">line 63</a>
            </span>
        </p>
    
</dl>





</div>
            
                <div class="member">

<h4 class="name" id="name">
    <a class="href-link" href="#name">#</a>
    
    <span class="code-name">
        name
    </span>
    
</h4>




<div class="description">
    Gets the name of the task.
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_task.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_task.model.js.html">models/task.model.js</a>, <a href="models_task.model.js.html#line29">line 29</a>
            </span>
        </p>
    
</dl>





</div>
            
                <div class="member">

<h4 class="name" id="name">
    <a class="href-link" href="#name">#</a>
    
    <span class="code-name">
        name
    </span>
    
</h4>




<div class="description">
    Sets the name of the task.
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_task.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_task.model.js.html">models/task.model.js</a>, <a href="models_task.model.js.html#line38">line 38</a>
            </span>
        </p>
    
</dl>





</div>
            
                <div class="member">

<h4 class="name" id="status">
    <a class="href-link" href="#status">#</a>
    
    <span class="code-name">
        status
    </span>
    
</h4>




<div class="description">
    Gets the status of the task.
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_task.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_task.model.js.html">models/task.model.js</a>, <a href="models_task.model.js.html#line77">line 77</a>
            </span>
        </p>
    
</dl>





</div>
            
                <div class="member">

<h4 class="name" id="status">
    <a class="href-link" href="#status">#</a>
    
    <span class="code-name">
        status
    </span>
    
</h4>




<div class="description">
    Sets the status of the task.
</div>





<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_task.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_task.model.js.html">models/task.model.js</a>, <a href="models_task.model.js.html#line86">line 86</a>
            </span>
        </p>
    
</dl>





</div>
            
            </div>
        </div>
    

    
        <div class='vertical-section'>
            <h1>Methods</h1>
            <div class="members">
            
                <div class="member">


    
    <h4 class="name" id="advance">
        <a class="href-link" href="#advance">#</a>
        
        <span class="code-name">
            
                advance<span class="signature">()</span><span class="type-signature"></span>
            
        </span>
    </h4>
    

    
    
    <div class="description">
        Sets the task status to IN_PROGRESS.
    </div>
    













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_task.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_task.model.js.html">models/task.model.js</a>, <a href="models_task.model.js.html#line99">line 99</a>
            </span>
        </p>
    
</dl>





















</div>
            
                <div class="member">


    
    <h4 class="name" id="complete">
        <a class="href-link" href="#complete">#</a>
        
        <span class="code-name">
            
                complete<span class="signature">()</span><span class="type-signature"></span>
            
        </span>
    </h4>
    

    
    
    <div class="description">
        Sets the task status to DONE.
    </div>
    













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_task.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_task.model.js.html">models/task.model.js</a>, <a href="models_task.model.js.html#line104">line 104</a>
            </span>
        </p>
    
</dl>





















</div>
            
                <div class="member">


    
    <h4 class="name" id="reset">
        <a class="href-link" href="#reset">#</a>
        
        <span class="code-name">
            
                reset<span class="signature">()</span><span class="type-signature"></span>
            
        </span>
    </h4>
    

    
    
    <div class="description">
        Sets the task status to TODO.
    </div>
    













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_task.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_task.model.js.html">models/task.model.js</a>, <a href="models_task.model.js.html#line94">line 94</a>
            </span>
        </p>
    
</dl>





















</div>
            
                <div class="member">


    
    <h4 class="name" id="toString">
        <a class="href-link" href="#toString">#</a>
        
        <span class="code-name">
            
                toString<span class="signature">()</span><span class="type-signature"></span>
            
        </span>
    </h4>
    

    
    
    <div class="description">
        Transforms the task data into a formatted string
    </div>
    













<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    
    

    

    

    
        <p class="tag-source">
            <a href="models_task.model.js.html" class="button">View Source</a>
            <span>
                <a href="models_task.model.js.html">models/task.model.js</a>, <a href="models_task.model.js.html#line109">line 109</a>
            </span>
        </p>
    
</dl>





















</div>
            
            </div>
        </div>
    

    

    
</article>

</section>




            </div>
            
            <footer class="footer">
                <div class="content has-text-centered">
                    <p>Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.6.4</a></p>
                    <p class="sidebar-created-by">
                        <a href="https://github.com/SoftwareBrothers/better-docs" target="_blank">BetterDocs theme</a> provided with <i class="fas fa-heart"></i> by 
                        <a href="http://softwarebrothers.co" target="_blank">SoftwareBrothers - JavaScript Development Agency</a>
                    </p>
                </div>
            </footer>
            
        </div>
        <div id="side-nav" class="side-nav">
        </div>
    </div>
<script src="scripts/app.min.js"></script>
<script>PR.prettyPrint();</script>
<script src="scripts/linenumber.js"> </script>

</body>
</html>